import rclpy
from rclpy.node import Node

from std_msgs.msg import Float32
from sensor_msgs.msg import Joy

class JoyMove(Node):
    def __init__(self):
        super().__init__('joystickmove')
        self._logger = self.get_logger()
        self._logger.info('joystick init')

        self.create_subscription(Joy, '/joy', self._joy_cb, rclpy.qos.qos_profile_sensor_data)

        self.base_pub = self.create_publisher(Float32, '/move/body', 10)

    def _joy_cb(self, msg):
        asd = (msg.axes[1] + 1) / 2 * 180.0
        self.base_pub.publish(Float32(data=asd))


def main(args=None):
    rclpy.init(args=args)

    joy_move = JoyMove()
    rclpy.spin(joy_move)

    joy_move.destroy_node()
    rclpy.shutdown()


if __name__ == '__main__':
    main()
